Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.MediaSettings Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | MediaSettings ()
| Constructor.
def | MediaSettings (auto_play, base_url, bg_color, bg_opacity, duration, page, repeat, show_ui, is_visible, volume, window_type, floating_wnd_info)
| Constructor, with parameters. More...
def | MediaSettings (media_settings)
| Constructor, with another media settings object. More...
def | Set (auto_play, base_url, bg_color, bg_opacity, duration, page, repeat, show_ui, is_visible, volume, window_type, floating_wnd_info)
| Set values. More...

## Static Public Attributes
| auto_play = _fsdk.MediaSettings_auto_play
| Specify whether the media clip should begin playing automatically after the player is opened. More...
| base_url = _fsdk.MediaSettings_base_url
| The base URL to be used to resolve any relative URLs used in the media clip. More...
| bg_color = _fsdk.MediaSettings_bg_color
| The background color for the media player window. Format: 0xRRGGBB.
| bg_opacity = _fsdk.MediaSettings_bg_opacity
| The background opacity for the media player window.
| duration = _fsdk.MediaSettings_duration
| The amount of time in seconds that playback will take.
| e_PlayerWindowTypeDockedPage = _fsdk.MediaSettings_e_PlayerWindowTypeDockedPage
| Window type: a docked page window.
| e_PlayerWindowTypeFloating = _fsdk.MediaSettings_e_PlayerWindowTypeFloating
| Window type: a floating window.
| e_PlayerWindowTypeFullScreen = _fsdk.MediaSettings_e_PlayerWindowTypeFullScreen
| Window type: a full-screen window that obscures all other windows.
| floating_wnd_info = _fsdk.MediaSettings_floating_wnd_info
| A FloatingInfo containing properties (listed below) that define the location and style of a floating window.
| is_visible = _fsdk.MediaSettings_is_visible
| A boolean value that specifies whether the player should be visible.
| page = _fsdk.MediaSettings_page
| For a docked media player, this property is the number of the page on which the player should be docked. For other types of media players, this property is ignored.
| repeat = _fsdk.MediaSettings_repeat
| The number of times the media playback should automatically repeat. More...
| show_ui = _fsdk.MediaSettings_show_ui
| A boolean value that specifies whether the controls of the media player should be visible or not.
| volume = _fsdk.MediaSettings_volume
| Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
| window_type = _fsdk.MediaSettings_window_type
| That defines which type of window the media player should be created in. Please refer to values starting from FoxitPDFSDKPython3.MediaSettings.e_PlayerWindowTypeDockedPage and this should be one of these values.

## Detailed Description

This class represents media settings.

## Constructor & Destructor Documentation

## ◆ MediaSettings() [1/2]

def FoxitPDFSDKPython3.MediaSettings.MediaSettings | ( |  | auto_play,
|  |  | base_url,
|  |  | bg_color,
|  |  | bg_opacity,
|  |  | duration,
|  |  | page,
|  |  | repeat,
|  |  | show_ui,
|  |  | is_visible,
|  |  | volume,
|  |  | window_type,
|  |  | floating_wnd_info
| ) |  |

Constructor, with parameters.

Parameters

  [in] | auto_play | Specify whether the media clip should begin playing automatically after the player is opened.
  [in] | base_url | The base URL to be used to resolve any relative URLs used in the media clip.
  [in] | bg_color | The background color for the media player window.
  [in] | bg_opacity | The background opacity for the media player window.
  [in] | duration | The amount of time in seconds that playback will take.
  [in] | page | The number of the page on which the player should be docked.
  [in] | repeat | The number of times the media playback should automatically repeat.
  [in] | show_ui | A boolean value that specifies whether the controls of the media player should be visible or not.
  [in] | is_visible | A boolean value that specifies whether the player should be visible.
  [in] | volume | Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
  [in] | window_type | That defines which type of window the media player should be created in.
  [in] | floating_wnd_info | A FloatingInfo object containing properties (listed below) that define the location and style of a floating window.

## ◆ MediaSettings() [2/2]

def FoxitPDFSDKPython3.MediaSettings.MediaSettings | ( |  | media_settings | ) |

Constructor, with another media settings object.

Parameters

  [in] | media_settings | Another media settings object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.MediaSettings.Set | ( |  | auto_play,
|  |  | base_url,
|  |  | bg_color,
|  |  | bg_opacity,
|  |  | duration,
|  |  | page,
|  |  | repeat,
|  |  | show_ui,
|  |  | is_visible,
|  |  | volume,
|  |  | window_type,
|  |  | floating_wnd_info
| ) |  |

Set values.

Parameters

  [in] | auto_play | Specify whether the media clip should begin playing automatically after the player is opened.
  [in] | base_url | The base URL to be used to resolve any relative URLs used in the media clip.
  [in] | bg_color | The background color for the media player window.
  [in] | bg_opacity | The background opacity for the media player window.
  [in] | duration | The amount of time in seconds that playback will take.
  [in] | page | The number of the page on which the player should be docked.
  [in] | repeat | The number of times the media playback should automatically repeat.
  [in] | show_ui | A boolean value that specifies whether the controls of the media player should be visible or not.
  [in] | is_visible | A boolean value that specifies whether the player should be visible.
  [in] | volume | Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
  [in] | window_type | That defines which type of window the media player should be created in.
  [in] | floating_wnd_info | A FloatingInfo object containing properties (listed below) that define the location and style of a floating window.

Returns
  None.

## Member Data Documentation

## ◆ auto_play

FoxitPDFSDKPython3.MediaSettings.auto_play = _fsdk.MediaSettings_auto_play
| static

Specify whether the media clip should begin playing automatically after the player is opened.

true means auto play, while false means not.

## ◆ base_url

FoxitPDFSDKPython3.MediaSettings.base_url = _fsdk.MediaSettings_base_url
| static

The base URL to be used to resolve any relative URLs used in the media clip.

For example, if the media opens a web page. There is no default value; if this is not specified, the interpretation of a relative URL will vary depending the media player, but in most cases will not work.

## ◆ repeat

FoxitPDFSDKPython3.MediaSettings.repeat = _fsdk.MediaSettings_repeat
| static

The number of times the media playback should automatically repeat.

The default value of 1 causes the media to be played once.